<template>
  <div>
    <div style="margin: 3rem">
      <header style="margin:8rem 6rem 4rem">
        <ReturnButton :offsetArrow="20" :spanTitle="3" title="Menú Principal" v-on:clickEvent="returnPage" style="margin-bottom:3rem"></ReturnButton> 
      </header>

      <!-- COMPONENTE TITULO -->
      <div style="margin:3rem 6rem">
        <app-title Title="MATERIALES ENLATADOS"> </app-title>
      </div> 
      
      <!-- Rutas -->
      <div style="margin: 5rem 10rem">
        <el-row type="flex" justify="space-between">
          <el-col :span="4">
            <div @mouseover="mouseover('imgGroup', imgReception2)" @mouseout="mouseout('imgGroup', imgReception1)">
              <el-button type="primary" @click="goTo('reception')" plain>RECEPCIÓN</el-button>
              <div style="margin-top:3rem">
                <img :src="imgGroup" :key="imgGroup" alt="Grupos">
              </div>
            </div>
          </el-col>
          <el-col :span="4">
            <!-- Se pasa el nombre del hijo por default: savedProject -->
            <div @mouseover="mouseover('imgStore', imgStore2)" @mouseout="mouseout('imgStore', imgStore1)">
              <!-- <el-button type="primary" @click="goTo('savedProject')" plain>ALMACÉN</el-button> -->
              <el-button type="primary"  @click="goTo('storageCanned')" plain>ALMACÉN</el-button>
              <div style="margin-top:3rem">
                <img :src="imgStore" alt="Almacén">
              </div>
            </div>
          </el-col>
          <el-col :span="4">
            <div @mouseover="mouseover('imgHistorial', imgHistorial2)" @mouseout="mouseout('imgHistorial', imgHistorial1)">
              <!-- <el-button type="primary" @click="goTo('savedSetting')" plain>HISTORIAL</el-button> -->
              <el-button type="primary" @click="goTo('recordCanned')" plain>HISTORIAL</el-button>
              <div style="margin-top:3rem">
                <img :src="imgHistorial" alt="Historial">
              </div>
            </div>
          </el-col>
        </el-row>
      </div>
    </div>
  </div>
</template>
<style>
.bg-title{
  background-color: #494949;
}
</style>


<script>
import ReturnButton from '@/components/ReturnButton.vue'
import imgReception1 from '../../../assets/images/recepcion.svg'
import imgReception2 from '../../../assets/images/recepcion-hover.svg'
import imgStore1 from '../../../assets/images/almacen.svg'
import imgStore2 from '../../../assets/images/almacen-hover.svg'
import imgHistorial1 from '../../../assets/images/historial.svg'
import imgHistorial2 from '../../../assets/images/historial-hover.svg'
import Title from '@/components/Title.vue'

export default {
  components: {
    'app-title': Title,
    ReturnButton
  },
  data () {
    return {
      imgGroup: imgReception1,
      imgReception1: imgReception1,
      imgReception2: imgReception2,
      imgStore: imgStore1,
      imgStore1: imgStore1,
      imgStore2: imgStore2,
      imgHistorial: imgHistorial1,
      imgHistorial1: imgHistorial1,
      imgHistorial2: imgHistorial2
    }
  },
  methods: {
    returnPage() {
      this.$router.push({ name: 'support' })
    },
    mouseover (item, value) {
      this[item] = value
    },
    mouseout (item, value) {
      this[item] = value
    },
    goTo (item) {
      this.$router.push({name: [item]})
    },
  }
}
</script>
